%{?nodejs_find_provides_and_requires}

%global packagename cjson
%global enable_tests 1

Name:		nodejs-cjson
Version:	0.3.2
Release:	1%{?dist}
Summary:	Commented JavaScript Object Notation

License:	MIT
URL:		https://github.com/kof/node-cjson.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/kof/node-cjson/master/LICENSE
# upstream license file was added after this release

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(json-parse-helpfulerror)
%endif

%description
cjson - Commented JavaScript Object Notation. It is a json loader, which parses
only valid json files, but with comments enabled. Useful for loading configs.


%prep
%setup -q -n package
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test/test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Nov 24 2015 Jared Smith <jsmith@fedoraproject.org> - 0.3.2-1
- Initial packaging
